/**
 * @file   httpget.h
 * @author NOKUBI Takatsugu
 * @date   Fri Dec 26 14:54:34 2003
 * 
 * @brief  http get class
 * 
 * $Id$
 */

#ifndef HTTPGET_H_
#define HTTPGET_H_

#include <qobject.h>
#include <qbuffer.h>

class QUrl;
class QHttp;
class QBuffer;
class QString;

class HttpGet : public QObject
{
  Q_OBJECT;

 public:

  enum Status {
    Null = 0,
    InProgress,
    Finished,
  };

  HttpGet(const QString &);
  ~HttpGet();
  void get();
  Status status();
  QString &contents();

 public slots:
  void recvdone(bool);

 signals:
  void getstart();
  void getfinished();

 private:
  QUrl *url;
  QHttp *http;
  QBuffer buf;
  QString cont;
  Status stat;
};

#endif
